Results 1 to 6 of 6

Thread: HOW TO: Install Airdrop-ng

  1. #1
    Join Date
    2013-Mar
    Posts
    27

    HOW TO: Install Airdrop-ng

    STEP 1: Download and Install all Dependencies

    Install lorcon:
    Code:
    cd /usr/src
    apt-get install libpcap0.8-dev libnl-dev 
    git clone https://code.google.com/p/lorcon
    cd lorcon
    ./configure
    make
    make install
    Install pylorcon:
    Code:
    cd pylorcon2
    python setup.py build
    python setup.py install
    Integrate lorcon's ruby extensions:
    Code:
    cd ../ruby-lorcon/
    ruby extconf.rb
    make
    make install


    STEP 2: Download, Install, and Update Airdrop-ng
    Store it:
    Code:
    cd ~/Desktop
    wget http://download.aircrack-ng.org/aircrack-ng-1.2-beta1.tar.gz
    tar -zxvf aircrack-ng-1.2-beta1.tar.gz
    cd aircrack-ng-1.2-beta1/scripts/airdrop-ng
    make install
    airodump-ng-oui-update
    Clever girl!

  2. #2
    Join Date
    2013-Aug
    Location
    Italy
    Posts
    65
    Quote Originally Posted by testingresults View Post
    STEP 1: Download and Install all Dependencies

    Install lorcon:
    Code:
    cd /usr/src
    apt-get install libpcap0.8-dev libnl-dev 
    git clone https://code.google.com/p/lorcon
    cd lorcon
    ./configure
    make
    make install
    Install pylorcon:
    Code:
    cd pylorcon2
    python setup.py build
    python setup.py install
    Integrate lorcon's ruby extensions:
    Code:
    cd ../ruby-lorcon/
    ruby extconf.rb
    make
    make install


    STEP 2: Download, Install, and Update Airdrop-ng
    Store it:
    Code:
    cd ~/Desktop
    wget http://download.aircrack-ng.org/aircrack-ng-1.2-beta1.tar.gz
    tar -zxvf aircrack-ng-1.2-beta1.tar.gz
    cd aircrack-ng-1.2-beta1/scripts/airdrop-ng
    make install
    airodump-ng-oui-update
    real good guide many tnx
    but if running the command
    Code:
    ruby extconf.rb
    should appear the following error
    Code:
    root@kali:~/lorcon/ruby-lorcon# ruby extconf.rb
    /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- mkmf (LoadError)
    	from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
    	from extconf.rb:2:in `<main>'
    installing the package ruby1.9.1-dev
    Code:
    apt-get install ruby1.9.1-dev

  3. #3
    Join Date
    2013-Jul
    Posts
    8
    need lil help here how to make rule file for attack with airdrop-ng ?

  4. #4
    Join Date
    2013-Mar
    Location
    milano
    Posts
    301
    Quote Originally Posted by venom View Post
    need lil help here how to make rule file for attack with airdrop-ng ?
    if this can help
    my-basic-mode:
    after installed you have airdrop-ng folder (my is in /root) inside you have doc folder && inside you have dropRules.conf.example!
    move or copy & rename it where do you want (my is /root/rules.txt)
    open it with txt editor && change that to your liking (obviously reading the screen of airodump-ng)
    Last edited by zimmaro; 2013-11-19 at 14:31.

  5. #5
    Join Date
    2013-Jul
    Posts
    8
    Quote Originally Posted by zimmaro View Post
    if this can help
    my-basic-mode:
    after installed you have airdrop-ng folder (my is in /root) inside you have doc folder && inside you have dropRules.conf.example!
    move or copy & rename it where do you want (my is /root/rules.txt)
    open it with txt editor && change that to your liking (obviously reading the screen of airodump-ng)
    nope i didn't find it not in root and also not in bin directory

  6. #6
    Join Date
    2013-Mar
    Location
    milano
    Posts
    301
    Quote Originally Posted by venom View Post
    nope i didn't find it not in root and also not in bin directory
    I feel sorry for you
    but in """"MY""""" installation-method of airdrop-ng (I do not know if it's right) there is a /airdrop-ng/doc/dropRules.conf.example
    https://vimeo.com/80721825


    PS: however, you can create the rules.txt ....
    bye
    Last edited by zimmaro; 2013-12-01 at 15:41.

Similar Threads

  1. Replies: 5
    Last Post: 2016-01-25, 06:27
  2. Replies: 0
    Last Post: 2015-07-25, 09:11
  3. How to install airdrop-ng (and lorcon2)
    By Vulpi in forum How-To Archive
    Replies: 6
    Last Post: 2014-02-22, 23:37

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •